PBXExtens

Get exten password

This endpoint allows you to fetch your exten WEB and SIP password as a plain string. This password can then be used for authentication. Password type must be provided in path. The PBX subscription unique id can be retrieved from GET /api/v1/pbx/subscriptions, which returns the list of PBX subscriptions assigned to the current customer. The exten unique id can be retrieved from GET /api/v1/pbx/subscriptions/{pbx_id}/extens, which returns the list of extens in the given Cloud PBX. If your Cloud PBX has not been configured yet, you will receive a status code 425 Too Early (refer to responses).

GET
/api/v1/pbx/subscriptions/{id}/extens/{exten_id}/pwd/{type}

Path Parameters

id*integer

PBX subscription id

Range1 <= value
exten_id*integer

Exten id

Range1 <= value
type*string

Exten password type

Value in"web" | "sip"

Header Parameters

Authorization*string

Your API token

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/pbx/subscriptions/1/extens/1/pwd/web" \  -H "Authorization: string"
{
  "code": 0,
  "data": {
    "password": "string"
  },
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.